Package Details: chromium-dev 79.0.3941.4-1

Git Clone URL: https://aur.archlinux.org/chromium-dev.git (read-only)
Package Base: chromium-dev
Description: The open-source project behind Google Chrome (Dev Channel)
Upstream URL: http://www.chromium.org
Keywords: browser web
Licenses: BSD
Submitter: None
Maintainer: sl1pkn07
Last Packager: sl1pkn07
Votes: 158
Popularity: 0.55
First Submitted: 2010-05-17 09:04
Last Updated: 2019-10-20 17:22

Dependencies (31)

Required by (1)

Sources (6)

Latest Comments

1 2 3 4 5 6 ... Next › Last »

sl1pkn07 commented on 2019-08-29 09:31

I never test

ecocode commented on 2019-08-29 09:21

Does this package work with swaywm (wayland) ?

j1simon commented on 2019-06-23 08:38

Are the patches updated?

j1simon commented on 2019-06-22 10:07

I think there is another error with this variable name:

...
_use_wayland=0           # Build Wayland NOTE: extremely experimental and don't work at this moment
...
if [ "${_wayland}" = "1" ]; then
...

j1simon commented on 2019-06-22 09:20

I think I know what the problem is with the last error: https://bugs.chromium.org/p/chromium/issues/detail?id=964411#c15

If I compile with gn works but it fails with gn-git due this change.

j1simon commented on 2019-06-21 21:11

It doesn't compile. Problem with vulkan:

...
ERROR at //third_party/swiftshader/src/Vulkan/BUILD.gn:102:5: Only source, header, and object files belong in the sources of a shared_library. //third_party/swiftshader/src/Vulkan/libvk_swiftshader.lds is not one of the valid types.
    "libvk_swiftshader.lds",
    ^----------------------
See //third_party/swiftshader/src/swiftshader.gni:49:3: whence it was called.
  shared_library(target_name) {
  ^----------------------------
See //third_party/swiftshader/src/Vulkan/BUILD.gn:35:1: whence it was called.
swiftshader_shared_library("swiftshader_libvulkan") {
^----------------------------------------------------
See //gpu/vulkan/x/BUILD.gn:44:5: which caused the file to be included.
    "//third_party/swiftshader/src/Vulkan:swiftshader_libvulkan",
    ^-----------------------------------------------------------
...

SolarAquarion commented on 2019-06-21 20:58

you need spirv-headers as a make dependency

garwol commented on 2019-06-14 17:30

Defining target //media/mojo/interfaces:constants_shared__generator(//build/toolchain/linux/unbundle:default)
Defining target //media/mojo/interfaces:constants_shared_cpp_sources(//build/toolchain/linux/unbundle:default)
Defining target //media/mojo/interfaces:constants_shared(//build/toolchain/linux/unbundle:default)
Running //third_party/glslang/src/BUILD.gn with toolchain //build/toolchain/linux/unbundle:default
Loading //build_overrides/glslang.gni (referenced from //third_party/glslang/src/BUILD.gn:34)
Defining config //third_party/glslang/src:glslang_public(//build/toolchain/linux/unbundle:default)
Defining target //third_party/glslang/src:glslang_sources(//build/toolchain/linux/unbundle:default)
ERROR at //third_party/glslang/src/BUILD.gn:109:5: Only source, header, and object files belong in the sources of a source_set. //third_party/glslang/src/glslang/MachineIndependent/glslang.y is not one of the valid types.
    "glslang/MachineIndependent/glslang.y",
    ^-------------------------------------
See //third_party/angle/src/tests/BUILD.gn:271:17: which caused the file to be included.
      deps += [ "${angle_glslang_dir}:glslang_sources" ]
                ^-------------------------------------
Loading //third_party/blink/renderer/modules/exported/BUILD.gn (referenced from //third_party/blink/renderer/controller/BUILD.gn:170)
==> BŁĄD: Wystąpił błąd w build().

walkindude commented on 2019-05-19 17:24

Defining config //google_apis/gcm:proto_config(//build/toolchain/linux/unbundle:default) Defining target //ui/gfx:native_widget_types(//build/toolchain/linux/unbundle:default) Defining target //google_apis/gcm:proto(//build/toolchain/linux/unbundle:default) ERROR at //third_party/protobuf/proto_library.gni:369:15: Only source, header, and object files belong in the sources of a static_library. //out/Release/pyproto/google_apis/gcm/protocol/mcs_pb2.py is not one of the valid types. sources = get_target_outputs(":$action_name") ^--------------------------------- See //google_apis/gcm/BUILD.gn:78:1: whence it was called. proto_library("proto") { ^----------------------- See //BUILD.gn:89:7: which caused the file to be included. "//google_apis/gcm:gcm_unit_tests", ^--------------------------------- Defining target //ui/gfx:selection_bound(//build/toolchain/linux/unbundle:default) Loading //chrome/test/BUILD.gn (referenced from //BUILD.gn:104) Defining target //ui/gfx:selection_bound_sources(//build/toolchain/linux/unbundle:default) ==> ERROR: A failure occurred in build(). Aborting... ==> ERROR: Build failed, check /home/walkindude/chroot/walkindude/build

Edit: downgraded gn-git , build succeeded

SolarAquarion commented on 2019-05-19 02:21

patch -p0 -i "${srcdir}/chromium-skia-harmony.patch" No such patch